<?php

use Illuminate\Support\Facades\Route;
use Modules\Section\Http\Controllers\SectionController;

Route::middleware('api')->prefix('api')->group(function () {
    Route::get('/sections', [SectionController::class, 'index']);
    Route::get('/sections/{key}', [SectionController::class, 'show']);
    Route::post('/sections', [SectionController::class, 'store']);
    Route::put('/sections/{id}', [SectionController::class, 'update']);
    Route::delete('/sections/{id}', [SectionController::class, 'destroy']);
});
